# don't pollute my home please
export GOPATH=${XDG_DATA_HOME:-$HOME/.local/share}/go
export CARGO_HOME=${XDG_CACHE_HOME:-$HOME/.cache}/cargo
export GHCUP_USE_XDG_DIRS=1
export STACK_ROOT=${XDG_DATA_HOME:-$HOME/.local/share}/stack

export KREW_NO_UPGRADE_CHECK=1
export KREW_ROOT=${XDG_DATA_HOME:-$HOME/.local/share/krew}

export PATH=${KREW_ROOT:-$HOME/.krew}/bin:~/bin:~/.local/bin:$GOPATH/bin:~/.nix-profile/bin:$PATH

export EDITOR=nvim
export MANPAGER="nvim +Man!"

export DOCKER_HOST=unix://${XDG_RUNTIME_DIR}/podman/podman.sock

# make locales work in nix shell
export LOCALE_ARCHIVE=/usr/lib/locale/locale-archive

GPG_TTY=$(tty)
export GPG_TTY

export SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket)

LS_COLORS='rs=0:di=01;38;2;131;165;152:ln=40;01;38;2;142;192;124:or=09;40;01;38;2;142;192;124:mh=00:pi=40;38;2;215;153;33:so=01;38;2;211;134;155:do=01;38;2;211;134;155:bd=40;01;38;2;215;153;33:cd=40;01;38;2;215;153;33:mi=00:su=48;2;204;36;29;38;2;254;128;25:sg=30;48;2;215;153;33:ca=00:tw=48;2;152;151;26;38;2;69;133;136:ow=30;48;2;152;151;26:st=30;48;2;69;133;136:ex=01;38;2;184;187;38:';
export LS_COLORS
